//-------------------------------------------------------
/*  本專案適用於 Uno / Nano 開發板
 *  main.ino ==> 一般C語言IDE的 main.c
 *  Hardwire： Vcc-->3.3V，SDA-->A4，SCK-->A5，GND-->GND
 *  請注意OLED 1306 的接腳順序有兩種 
 *  1. GND-Vcc-SCL-SDA 
 *  2. Vcc-GND-SCL-SDA
 *  請先依照此安裝函式庫： Adafruit SSD1306 + Adafruit GFX Library
 *  安裝前者可以選擇<全部安裝>，會連Adafruit GFX Library 一起安裝
 *  https://blog.jmaker.com.tw/arduino-ssd1306-oled/
 *  
 *  BLE 參考文章：https://blog.jmaker.com.tw/arduino-ble-app/
 *  
 *  本專案程式在完成一個極簡易的終端機，讓Arduino單晶片與手機(iOS/Android)
 *  能夠互相傳遞資料，OLED作為Arduino終端機顯示器。
 *  
 *  
 */
