
#include "main.h"

//-------------------------------------------------------
#define JOBMAX 20
char job( char no, int dT ) {
    static long iOT[JOBMAX] = {0};
    char rc = 0;
    if ( (millis() - iOT[ no ]) >= dT ) {
        iOT[ no ] = millis();
        rc = 1;
    }
    return rc;
}
//======================================================
void blink_pin( int pin ) {
    digitalWrite(pin, !(digitalRead(pin)));
}
//------- myprintf --------
#define ARDBUFFER 64
int myprintf(char *str, ...) {
    int i, count=0, j=0, flag=0;
    char temp[ARDBUFFER+1];
    for(i=0; str[i]!='\0';i++)  if(str[i]=='%')  count++;
    va_list argv;
    va_start(argv, count);
    for(i=0,j=0; str[i]!='\0';i++)  {
        if(str[i]=='%') {
            temp[j] = '\0';
            Serial.print(temp);
            j=0;
            temp[0] = '\0';
        
            switch(str[++i]) {
              case 'X': Serial.print(va_arg(argv, int), HEX); break;
              case 'x': Serial.print(va_arg(argv, int), HEX); break;
              case 'd': Serial.print(va_arg(argv, int));     break;
              case 'l': Serial.print(va_arg(argv, long));    break;
              case 'f': Serial.print(va_arg(argv, double));  break;
              case 'c': Serial.print((char)va_arg(argv, int));  break;
              case 's': Serial.print(va_arg(argv, char *));     break;
              default:  ;
            };
        } else {
            temp[j] = str[i];
            j = (j+1)%ARDBUFFER;
            if(j==0) {
              temp[ARDBUFFER] = '\0';
              Serial.print(temp);
              temp[0]='\0';
            }
        }
    };
    return count + 1;
}
